org.apache.xmlbeans.impl.tool

## Class InstanceValidator

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.InstanceValidator

    public class InstanceValidator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`InstanceValidator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `extraMain(String[] args)` Use this method to avoid calling `System.exit(int)`
`static void` `main(String[] args)`
`static void` `printUsage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstanceValidator

    public InstanceValidator()

### Method Detail

#### printUsage

    public static void printUsage()

#### main

    public static void main(String[] args)

#### extraMain

    public static int extraMain(String[] args)

Use this method to avoid calling `System.exit(int)`

Parameters:
  `args` - are command line options
Returns:
  exitCode